# ADC2019

Ensemble solver system for the algorithm design content in DA symposium 2019

## Environments

実際のソルバで使用している環境．

+ ソフトウェア
    - Python >= 3.5 (通信プログラム)
        * Flask
        * gevent
        * gevent-websocket

## フォルダ構成
+ problems/
    - 問題ファイル
+ roles/
    - ADC2019 Systemのうち，Host, Solverそれぞれの役割の実装．
+ solutions/
    - 答えファイルの保存先
+ solvers/
    - ソルバの実装
+ static/
    - GUIで使う静的ファイル
+ templates/
    - GUIで使うページ構成ファイル
+ utils/
    - ADC2019 Systemで汎用的に使う機能の実装
+ adc2019system.py
    - ADC2019 System 本体
+ main.py
    - ADC2019 SystemのGUI, サーバ機能付き実装

## ソルバの追加

ソルバは以下のコマンドでgit submoduleとして追加する．
```
cd solers
git submodule add [git repository] [folder name]
```

## Our previous works

+ [adc2018-system](https://www.togawa.cs.waseda.ac.jp/gitlab/adc2018/adc2018-system)
+ [pynq-router](https://github.com/kotarot/pynq-router)
+ [nl-solver](https://github.com/kotarot/nl-solver)

## License
This software is released under GPL v3 License, see [LICENSE](LICENSE).
